# List users

Products
            Plans
          
        
        
          
            
              
              Formerly ShipEngine
            
            
              Free
              Advanced
              Enterprise
            
          
          
            
              
            
            
              Free
              Starter
              Standard
              Premium
            
          
        
      
      
        
          Learn about products and plans

Endpoint: GET /v2/users
Version: 2.0.0
Security: api_keys

## Query parameters:

  - `status` (string)
    Filter users by their status
    Enum: "active", "inactive", "locked_out", "email_lock"

  - `page_size` (integer)
    The number of results to return per page
    Example: 25

  - `page` (integer)
    The page number to return
    Example: 1

## Response 200 fields (application/json):

  - `users` (array)

  - `users.user_id` (string)
    Unique identifier for the user
    Example: "123abc4d-1a2b-4321-a1b2-123abc4d5e6f"

  - `users.name` (string)
    Full name of the user
    Example: "First Last"

  - `users.username` (string)
    Username for the user
    Example: "user.name"

  - `users.email` (string)
    Email address of the user
    Example: "user.name@company.com"

  - `users.status` (string)
    Current status of the user
    Example: "Active"

  - `users.last_login_at` (string)
    Date of the user's last login
    Example: "2025-01-01"

  - `users.created_at` (string)
    Date when the user was created
    Example: "2023-05-28"

  - `total` (integer)
    Total number of users
    Example: 75

  - `page` (integer)
    Current page number
    Example: 1

  - `pages` (integer)
    Total number of pages
    Example: 3

  - `links` (object)

  - `links.first` (object)

  - `links.first.href` (string)
    URL to the first page
    Example: "https://api.shipstation.com/v2/users?page=1&page_size=25"

  - `links.last` (object)

  - `links.last.href` (string)
    URL to the last page
    Example: "https://api.shipstation.com/v2/users?page=3&page_size=25"

  - `links.prev` (object)

  - `links.prev.href` (string)
    URL to the previous page
    Example: "https://api.shipstation.com/v2/users?page=1&page_size=25"

  - `links.next` (object)

  - `links.next.href` (string)
    URL to the next page
    Example: "https://api.shipstation.com/v2/users?page=2&page_size=25"

## Response 400 fields (application/json):

  - `request_id` (string, required)
    A UUID that uniquely identifies the request id.
This can be given to the support team to help debug non-trivial issues that may occur
    Example: "aa3d8e8e-462b-4476-9618-72db7f7b7009"

  - `errors` (array, required)
    The errors associated with the failed API call

  - `errors.error_source` (string, required)
    The source of the error, as indicated by the name this informs us if the API call failed because of the
carrier, the order source, or the ShipStation API itself.
    Enum: "carrier", "order_source", "ShipStation"

  - `errors.error_type` (string, required)
    The type of error
    Enum: "account_status", "business_rules", "validation", "security", "system", "integrations"

  - `errors.error_code` (string, required)
    The error code specified for the failed API Call
    Enum: "auto_fund_not_supported", "batch_cannot_be_modified", "carrier_conflict", "carrier_disconnected", "carrier_not_connected", "carrier_not_supported", "confirmation_not_supported", "default_warehouse_cannot_be_deleted", "field_conflict", "field_value_required", "forbidden", "identifier_conflict", "identifiers_must_match", "insufficient_funds", "invalid_address", "invalid_billing_plan", "invalid_field_value", "invalid_identifier", "invalid_status", "invalid_string_length", "label_images_not_supported", "meter_failure", "order_source_not_active", "rate_limit_exceeded", "refresh_not_supported", "request_body_required", "return_label_not_supported", "settings_not_supported", "subscription_inactive", "terms_not_accepted", "tracking_not_supported", "trial_expired", "unauthorized", "unknown", "unspecified", "verification_failure", "warehouse_conflict", "webhook_event_type_conflict", "customs_items_required", "incompatible_paired_labels", "invalid_charge_event", "invalid_object", "no_rates_returned"

  - `errors.message` (string, required)
    An error message associated with the failed API call
    Example: "Body of request cannot be null."

  - `errors.field_name` (string)
    The name of the field that caused the error (only present for validation errors)
    Example: "inventory_warehouse_id"

  - `errors.field_value` (string)
    The invalid value that was provided for the field (only present for validation errors)
    Example: "invalid-id"


